org.firebirdsql.gds

## Interface BlrConstants

-     public interface BlrConstants

  Constants for the blr.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `blr_abort`
    `static int` | `blr_add`
    `static int` | `blr_agg_average`
    `static int` | `blr_agg_average_distinct`
    `static int` | `blr_agg_count`
    `static int` | `blr_agg_count_distinct`
    `static int` | `blr_agg_count2`
    `static int` | `blr_agg_function`
    `static int` | `blr_agg_list`
    `static int` | `blr_agg_list_distinct`
    `static int` | `blr_agg_max`
    `static int` | `blr_agg_min`
    `static int` | `blr_agg_total`
    `static int` | `blr_agg_total_distinct`
    `static int` | `blr_aggregate`
    `static int` | `blr_and`
    `static int` | `blr_ansi_all`
    `static int` | `blr_ansi_any`
    `static int` | `blr_ansi_like`
    `static int` | `blr_any`
    `static int` | `blr_ascending`
    `static int` | `blr_assignment`
    `static int` | `blr_auto_trans`
    `static int` | `blr_average`
    `static int` | `blr_begin`
    `static int` | `blr_between`
    `static int` | `blr_blob`
    `static int` | `blr_blob_id`
    `static int` | `blr_blob2`
    `static int` | `blr_block`
    `static int` | `blr_bool`
    `static int` | `blr_bool_as_value`
    `static int` | `blr_boolean`
    `static int` | `blr_cast`
    `static int` | `blr_coalesce`
    `static int` | `blr_column_name`
    `static int` | `blr_column_name2`
    `static int` | `blr_concatenate`
    `static int` | `blr_containing`
    `static int` | `blr_continue_loop`
    `static int` | `blr_count`
    `static int` | `blr_cstring`
    `static int` | `blr_cstring2`
    `static int` | `blr_current_date`
    `static int` | `blr_current_role`
    `static int` | `blr_current_time`
    `static int` | `blr_current_time2`
    `static int` | `blr_current_timestamp`
    `static int` | `blr_current_timestamp2`
    `static int` | `blr_cursor_close`
    `static int` | `blr_cursor_fetch`
    `static int` | `blr_cursor_fetch_scroll`
    `static int` | `blr_cursor_open`
    `static int` | `blr_cursor_stmt`
    `static int` | `blr_d_float`
    `static int` | `blr_date`
    `static int` | `blr_dbkey`
    `static int` | `blr_dcl_cursor`
    `static int` | `blr_dcl_variable`
    `static int` | `blr_dec128`
    `static int` | `blr_dec64`
    `static int` | `blr_decode`
    `static int` | `blr_default_code`
    `static int` | `blr_derived_expr`
    `static int` | `blr_descending`
    `static int` | `blr_divide`
    `static int` | `blr_domain_full`
    `static int` | `blr_domain_name`
    `static int` | `blr_domain_name2`
    `static int` | `blr_domain_type_of`
    `static int` | `blr_double`
    `static int` | `blr_end`
    `static int` | `blr_end_savepoint`
    `static int` | `blr_eoc`
    `static int` | `blr_eql`
    `static int` | `blr_equiv`
    `static int` | `blr_erase`
    `static int` | `blr_error_handler`
    `static int` | `blr_ex_time_tz`
    `static int` | `blr_ex_timestamp_tz`
    `static int` | `blr_exception`
    `static int` | `blr_exception_msg`
    `static int` | `blr_exception_params`
    `static int` | `blr_exec_into`
    `static int` | `blr_exec_pid`
    `static int` | `blr_exec_proc`
    `static int` | `blr_exec_proc2`
    `static int` | `blr_exec_sql`
    `static int` | `blr_exec_stmt`
    `static int` | `blr_exec_stmt_data_src`
    `static int` | `blr_exec_stmt_in_params`
    `static int` | `blr_exec_stmt_in_params2`
    `static int` | `blr_exec_stmt_inputs`
    `static int` | `blr_exec_stmt_out_params`
    `static int` | `blr_exec_stmt_outputs`
    `static int` | `blr_exec_stmt_privs`
    `static int` | `blr_exec_stmt_proc_block`
    `static int` | `blr_exec_stmt_pwd`
    `static int` | `blr_exec_stmt_role`
    `static int` | `blr_exec_stmt_sql`
    `static int` | `blr_exec_stmt_tran`
    `static int` | `blr_exec_stmt_tran_clone`
    `static int` | `blr_exec_stmt_user`
    `static int` | `blr_exec_subproc`
    `static int` | `blr_exists`
    `static int` | `blr_extract`
    `static int` | `blr_extract_day`
    `static int` | `blr_extract_hour`
    `static int` | `blr_extract_millisecond`
    `static int` | `blr_extract_minute`
    `static int` | `blr_extract_month`
    `static int` | `blr_extract_second`
    `static int` | `blr_extract_week`
    `static int` | `blr_extract_weekday`
    `static int` | `blr_extract_year`
    `static int` | `blr_extract_yearday`
    `static int` | `blr_fetch`
    `static int` | `blr_fid`
    `static int` | `blr_field`
    `static int` | `blr_first`
    `static int` | `blr_float`
    `static int` | `blr_for`
    `static int` | `blr_from`
    `static int` | `blr_full`
    `static int` | `blr_function`
    `static int` | `blr_function2`
    `static int` | `blr_gds_code`
    `static int` | `blr_gen_id`
    `static int` | `blr_geq`
    `static int` | `blr_group_by`
    `static int` | `blr_gtr`
    `static int` | `blr_handler`
    `static int` | `blr_if`
    `static int` | `blr_index`
    `static int` | `blr_indices`
    `static int` | `blr_init_variable`
    `static int` | `blr_inner`
    `static int` | `blr_int128`
    `static int` | `blr_int64`
    `static int` | `blr_internal_info`
    `static int` | `blr_join`
    `static int` | `blr_join_type`
    `static int` | `blr_label`
    `static int` | `blr_leave`
    `static int` | `blr_left`
    `static int` | `blr_leq`
    `static int` | `blr_like`
    `static int` | `blr_literal`
    `static int` | `blr_long`
    `static int` | `blr_loop`
    `static int` | `blr_lowcase`
    `static int` | `blr_lss`
    `static int` | `blr_map`
    `static int` | `blr_matching`
    `static int` | `blr_matching2`
    `static int` | `blr_maximum`
    `static int` | `blr_merge`
    `static int` | `blr_message`
    `static int` | `blr_minimum`
    `static int` | `blr_missing`
    `static int` | `blr_modify`
    `static int` | `blr_modify2`
    `static int` | `blr_multiply`
    `static int` | `blr_navigational`
    `static int` | `blr_negate`
    `static int` | `blr_neq`
    `static int` | `blr_not`
    `static int` | `blr_not_nullable`
    `static int` | `blr_null`
    `static int` | `blr_nullsfirst`
    `static int` | `blr_nullslast`
    `static int` | `blr_or`
    `static int` | `blr_parameter`
    `static int` | `blr_parameter2`
    `static int` | `blr_parameter3`
    `static int` | `blr_partition_by`
    `static int` | `blr_pid`
    `static int` | `blr_pid2`
    `static int` | `blr_plan`
    `static int` | `blr_post`
    `static int` | `blr_post_arg`
    `static int` | `blr_procedure`
    `static int` | `blr_procedure2`
    `static int` | `blr_procedure3`
    `static int` | `blr_procedure4`
    `static int` | `blr_project`
    `static int` | `blr_quad`
    `static int` | `blr_raise`
    `static int` | `blr_receive`
    `static int` | `blr_record_version`
    `static int` | `blr_record_version2`
    `static int` | `blr_recurse`
    `static int` | `blr_relation`
    `static int` | `blr_relation2`
    `static int` | `blr_retrieve`
    `static int` | `blr_rid`
    `static int` | `blr_rid2`
    `static int` | `blr_right`
    `static int` | `blr_rs_stream`
    `static int` | `blr_rse`
    `static int` | `blr_run_count`
    `static int` | `blr_savepoint_release`
    `static int` | `blr_savepoint_release_single`
    `static int` | `blr_savepoint_set`
    `static int` | `blr_savepoint_undo`
    `static int` | `blr_scroll_absolute`
    `static int` | `blr_scroll_backward`
    `static int` | `blr_scroll_bof`
    `static int` | `blr_scroll_eof`
    `static int` | `blr_scroll_forward`
    `static int` | `blr_scroll_relative`
    `static int` | `blr_scrollable`
    `static int` | `blr_select`
    `static int` | `blr_send`
    `static int` | `blr_sequential`
    `static int` | `blr_set_generator`
    `static int` | `blr_short`
    `static int` | `blr_similar`
    `static int` | `blr_singular`
    `static int` | `blr_skip`
    `static int` | `blr_sort`
    `static int` | `blr_sql_code`
    `static int` | `blr_sql_date`
    `static int` | `blr_sql_time`
    `static int` | `blr_sql_time_tz`
    `static int` | `blr_stall`
    `static int` | `blr_start_savepoint`
    `static int` | `blr_starting`
    `static int` | `blr_stmt_expr`
    `static int` | `blr_store`
    `static int` | `blr_store2`
    `static int` | `blr_strlen`
    `static int` | `blr_strlen_bit`
    `static int` | `blr_strlen_char`
    `static int` | `blr_strlen_octet`
    `static int` | `blr_subfunc`
    `static int` | `blr_subfunc_decl`
    `static int` | `blr_subproc`
    `static int` | `blr_subproc_decl`
    `static int` | `blr_substring`
    `static int` | `blr_substring_similar`
    `static int` | `blr_subtract`
    `static int` | `blr_sys_function`
    `static int` | `blr_text`
    `static int` | `blr_text2`
    `static int` | `blr_timestamp`
    `static int` | `blr_timestamp_tz`
    `static int` | `blr_total`
    `static int` | `blr_trigger_code`
    `static int` | `blr_trim`
    `static int` | `blr_trim_both`
    `static int` | `blr_trim_characters`
    `static int` | `blr_trim_leading`
    `static int` | `blr_trim_spaces`
    `static int` | `blr_trim_trailing`
    `static int` | `blr_union`
    `static int` | `blr_unique`
    `static int` | `blr_upcase`
    `static int` | `blr_user_name`
    `static int` | `blr_user_savepoint`
    `static int` | `blr_value_if`
    `static int` | `blr_variable`
    `static int` | `blr_varying`
    `static int` | `blr_varying2`
    `static int` | `blr_version4`
    `static int` | `blr_version5`
    `static int` | `blr_via`
    `static int` | `blr_window`
    `static int` | `blr_writelock`

- - ### Field Detail

    - #### blr_text

          static final int blr_text

      See Also:
        Constant Field Values

    - #### blr_text2

          static final int blr_text2

      See Also:
        Constant Field Values

    - #### blr_short

          static final int blr_short

      See Also:
        Constant Field Values

    - #### blr_long

          static final int blr_long

      See Also:
        Constant Field Values

    - #### blr_quad

          static final int blr_quad

      See Also:
        Constant Field Values

    - #### blr_float

          static final int blr_float

      See Also:
        Constant Field Values

    - #### blr_double

          static final int blr_double

      See Also:
        Constant Field Values

    - #### blr_d_float

          static final int blr_d_float

      See Also:
        Constant Field Values

    - #### blr_timestamp

          static final int blr_timestamp

      See Also:
        Constant Field Values

    - #### blr_date

          static final int blr_date

      See Also:
        Constant Field Values

    - #### blr_varying

          static final int blr_varying

      See Also:
        Constant Field Values

    - #### blr_varying2

          static final int blr_varying2

      See Also:
        Constant Field Values

    - #### blr_blob

          static final int blr_blob

      See Also:
        Constant Field Values

    - #### blr_cstring

          static final int blr_cstring

      See Also:
        Constant Field Values

    - #### blr_cstring2

          static final int blr_cstring2

      See Also:
        Constant Field Values

    - #### blr_blob_id

          static final int blr_blob_id

      See Also:
        Constant Field Values

    - #### blr_sql_date

          static final int blr_sql_date

      See Also:
        Constant Field Values

    - #### blr_sql_time

          static final int blr_sql_time

      See Also:
        Constant Field Values

    - #### blr_int64

          static final int blr_int64

      See Also:
        Constant Field Values

    - #### blr_blob2

          static final int blr_blob2

      See Also:
        Constant Field Values

    - #### blr_domain_name

          static final int blr_domain_name

      See Also:
        Constant Field Values

    - #### blr_domain_name2

          static final int blr_domain_name2

      See Also:
        Constant Field Values

    - #### blr_not_nullable

          static final int blr_not_nullable

      See Also:
        Constant Field Values

    - #### blr_column_name

          static final int blr_column_name

      See Also:
        Constant Field Values

    - #### blr_column_name2

          static final int blr_column_name2

      See Also:
        Constant Field Values

    - #### blr_bool

          static final int blr_bool

      See Also:
        Constant Field Values

    - #### blr_dec64

          static final int blr_dec64

      See Also:
        Constant Field Values

    - #### blr_dec128

          static final int blr_dec128

      See Also:
        Constant Field Values

    - #### blr_int128

          static final int blr_int128

      See Also:
        Constant Field Values

    - #### blr_sql_time_tz

          static final int blr_sql_time_tz

      See Also:
        Constant Field Values

    - #### blr_timestamp_tz

          static final int blr_timestamp_tz

      See Also:
        Constant Field Values

    - #### blr_ex_time_tz

          static final int blr_ex_time_tz

      See Also:
        Constant Field Values

    - #### blr_ex_timestamp_tz

          static final int blr_ex_timestamp_tz

      See Also:
        Constant Field Values

    - #### blr_domain_type_of

          static final int blr_domain_type_of

      See Also:
        Constant Field Values

    - #### blr_domain_full

          static final int blr_domain_full

      See Also:
        Constant Field Values

    - #### blr_inner

          static final int blr_inner

      See Also:
        Constant Field Values

    - #### blr_left

          static final int blr_left

      See Also:
        Constant Field Values

    - #### blr_right

          static final int blr_right

      See Also:
        Constant Field Values

    - #### blr_full

          static final int blr_full

      See Also:
        Constant Field Values

    - #### blr_gds_code

          static final int blr_gds_code

      See Also:
        Constant Field Values

    - #### blr_sql_code

          static final int blr_sql_code

      See Also:
        Constant Field Values

    - #### blr_exception

          static final int blr_exception

      See Also:
        Constant Field Values

    - #### blr_trigger_code

          static final int blr_trigger_code

      See Also:
        Constant Field Values

    - #### blr_default_code

          static final int blr_default_code

      See Also:
        Constant Field Values

    - #### blr_raise

          static final int blr_raise

      See Also:
        Constant Field Values

    - #### blr_exception_msg

          static final int blr_exception_msg

      See Also:
        Constant Field Values

    - #### blr_exception_params

          static final int blr_exception_params

      See Also:
        Constant Field Values

    - #### blr_version4

          static final int blr_version4

      See Also:
        Constant Field Values

    - #### blr_version5

          static final int blr_version5

      See Also:
        Constant Field Values

    - #### blr_eoc

          static final int blr_eoc

      See Also:
        Constant Field Values

    - #### blr_end

          static final int blr_end

      See Also:
        Constant Field Values

    - #### blr_assignment

          static final int blr_assignment

      See Also:
        Constant Field Values

    - #### blr_begin

          static final int blr_begin

      See Also:
        Constant Field Values

    - #### blr_dcl_variable

          static final int blr_dcl_variable

      See Also:
        Constant Field Values

    - #### blr_message

          static final int blr_message

      See Also:
        Constant Field Values

    - #### blr_erase

          static final int blr_erase

      See Also:
        Constant Field Values

    - #### blr_fetch

          static final int blr_fetch

      See Also:
        Constant Field Values

    - #### blr_for

          static final int blr_for

      See Also:
        Constant Field Values

    - #### blr_if

          static final int blr_if

      See Also:
        Constant Field Values

    - #### blr_loop

          static final int blr_loop

      See Also:
        Constant Field Values

    - #### blr_modify

          static final int blr_modify

      See Also:
        Constant Field Values

    - #### blr_handler

          static final int blr_handler

      See Also:
        Constant Field Values

    - #### blr_receive

          static final int blr_receive

      See Also:
        Constant Field Values

    - #### blr_select

          static final int blr_select

      See Also:
        Constant Field Values

    - #### blr_send

          static final int blr_send

      See Also:
        Constant Field Values

    - #### blr_store

          static final int blr_store

      See Also:
        Constant Field Values

    - #### blr_label

          static final int blr_label

      See Also:
        Constant Field Values

    - #### blr_leave

          static final int blr_leave

      See Also:
        Constant Field Values

    - #### blr_store2

          static final int blr_store2

      See Also:
        Constant Field Values

    - #### blr_post

          static final int blr_post

      See Also:
        Constant Field Values

    - #### blr_literal

          static final int blr_literal

      See Also:
        Constant Field Values

    - #### blr_dbkey

          static final int blr_dbkey

      See Also:
        Constant Field Values

    - #### blr_field

          static final int blr_field

      See Also:
        Constant Field Values

    - #### blr_fid

          static final int blr_fid

      See Also:
        Constant Field Values

    - #### blr_parameter

          static final int blr_parameter

      See Also:
        Constant Field Values

    - #### blr_variable

          static final int blr_variable

      See Also:
        Constant Field Values

    - #### blr_average

          static final int blr_average

      See Also:
        Constant Field Values

    - #### blr_count

          static final int blr_count

      See Also:
        Constant Field Values

    - #### blr_maximum

          static final int blr_maximum

      See Also:
        Constant Field Values

    - #### blr_minimum

          static final int blr_minimum

      See Also:
        Constant Field Values

    - #### blr_total

          static final int blr_total

      See Also:
        Constant Field Values

    - #### blr_add

          static final int blr_add

      See Also:
        Constant Field Values

    - #### blr_subtract

          static final int blr_subtract

      See Also:
        Constant Field Values

    - #### blr_multiply

          static final int blr_multiply

      See Also:
        Constant Field Values

    - #### blr_divide

          static final int blr_divide

      See Also:
        Constant Field Values

    - #### blr_negate

          static final int blr_negate

      See Also:
        Constant Field Values

    - #### blr_concatenate

          static final int blr_concatenate

      See Also:
        Constant Field Values

    - #### blr_substring

          static final int blr_substring

      See Also:
        Constant Field Values

    - #### blr_parameter2

          static final int blr_parameter2

      See Also:
        Constant Field Values

    - #### blr_from

          static final int blr_from

      See Also:
        Constant Field Values

    - #### blr_via

          static final int blr_via

      See Also:
        Constant Field Values

    - #### blr_user_name

          static final int blr_user_name

      See Also:
        Constant Field Values

    - #### blr_null

          static final int blr_null

      See Also:
        Constant Field Values

    - #### blr_equiv

          static final int blr_equiv

      See Also:
        Constant Field Values

    - #### blr_eql

          static final int blr_eql

      See Also:
        Constant Field Values

    - #### blr_neq

          static final int blr_neq

      See Also:
        Constant Field Values

    - #### blr_gtr

          static final int blr_gtr

      See Also:
        Constant Field Values

    - #### blr_geq

          static final int blr_geq

      See Also:
        Constant Field Values

    - #### blr_lss

          static final int blr_lss

      See Also:
        Constant Field Values

    - #### blr_leq

          static final int blr_leq

      See Also:
        Constant Field Values

    - #### blr_containing

          static final int blr_containing

      See Also:
        Constant Field Values

    - #### blr_matching

          static final int blr_matching

      See Also:
        Constant Field Values

    - #### blr_starting

          static final int blr_starting

      See Also:
        Constant Field Values

    - #### blr_between

          static final int blr_between

      See Also:
        Constant Field Values

    - #### blr_or

          static final int blr_or

      See Also:
        Constant Field Values

    - #### blr_and

          static final int blr_and

      See Also:
        Constant Field Values

    - #### blr_not

          static final int blr_not

      See Also:
        Constant Field Values

    - #### blr_any

          static final int blr_any

      See Also:
        Constant Field Values

    - #### blr_missing

          static final int blr_missing

      See Also:
        Constant Field Values

    - #### blr_unique

          static final int blr_unique

      See Also:
        Constant Field Values

    - #### blr_like

          static final int blr_like

      See Also:
        Constant Field Values

    - #### blr_rse

          static final int blr_rse

      See Also:
        Constant Field Values

    - #### blr_first

          static final int blr_first

      See Also:
        Constant Field Values

    - #### blr_project

          static final int blr_project

      See Also:
        Constant Field Values

    - #### blr_sort

          static final int blr_sort

      See Also:
        Constant Field Values

    - #### blr_boolean

          static final int blr_boolean

      See Also:
        Constant Field Values

    - #### blr_ascending

          static final int blr_ascending

      See Also:
        Constant Field Values

    - #### blr_descending

          static final int blr_descending

      See Also:
        Constant Field Values

    - #### blr_relation

          static final int blr_relation

      See Also:
        Constant Field Values

    - #### blr_rid

          static final int blr_rid

      See Also:
        Constant Field Values

    - #### blr_union

          static final int blr_union

      See Also:
        Constant Field Values

    - #### blr_map

          static final int blr_map

      See Also:
        Constant Field Values

    - #### blr_group_by

          static final int blr_group_by

      See Also:
        Constant Field Values

    - #### blr_aggregate

          static final int blr_aggregate

      See Also:
        Constant Field Values

    - #### blr_join_type

          static final int blr_join_type

      See Also:
        Constant Field Values

    - #### blr_agg_count

          static final int blr_agg_count

      See Also:
        Constant Field Values

    - #### blr_agg_max

          static final int blr_agg_max

      See Also:
        Constant Field Values

    - #### blr_agg_min

          static final int blr_agg_min

      See Also:
        Constant Field Values

    - #### blr_agg_total

          static final int blr_agg_total

      See Also:
        Constant Field Values

    - #### blr_agg_average

          static final int blr_agg_average

      See Also:
        Constant Field Values

    - #### blr_parameter3

          static final int blr_parameter3

      See Also:
        Constant Field Values

    - #### blr_agg_count2

          static final int blr_agg_count2

      See Also:
        Constant Field Values

    - #### blr_agg_count_distinct

          static final int blr_agg_count_distinct

      See Also:
        Constant Field Values

    - #### blr_agg_total_distinct

          static final int blr_agg_total_distinct

      See Also:
        Constant Field Values

    - #### blr_agg_average_distinct

          static final int blr_agg_average_distinct

      See Also:
        Constant Field Values

    - #### blr_function

          static final int blr_function

      See Also:
        Constant Field Values

    - #### blr_gen_id

          static final int blr_gen_id

      See Also:
        Constant Field Values

    - #### blr_upcase

          static final int blr_upcase

      See Also:
        Constant Field Values

    - #### blr_value_if

          static final int blr_value_if

      See Also:
        Constant Field Values

    - #### blr_matching2

          static final int blr_matching2

      See Also:
        Constant Field Values

    - #### blr_index

          static final int blr_index

      See Also:
        Constant Field Values

    - #### blr_ansi_like

          static final int blr_ansi_like

      See Also:
        Constant Field Values

    - #### blr_scrollable

          static final int blr_scrollable

      See Also:
        Constant Field Values

    - #### blr_run_count

          static final int blr_run_count

      See Also:
        Constant Field Values

    - #### blr_rs_stream

          static final int blr_rs_stream

      See Also:
        Constant Field Values

    - #### blr_exec_proc

          static final int blr_exec_proc

      See Also:
        Constant Field Values

    - #### blr_procedure

          static final int blr_procedure

      See Also:
        Constant Field Values

    - #### blr_pid

          static final int blr_pid

      See Also:
        Constant Field Values

    - #### blr_exec_pid

          static final int blr_exec_pid

      See Also:
        Constant Field Values

    - #### blr_singular

          static final int blr_singular

      See Also:
        Constant Field Values

    - #### blr_abort

          static final int blr_abort

      See Also:
        Constant Field Values

    - #### blr_block

          static final int blr_block

      See Also:
        Constant Field Values

    - #### blr_error_handler

          static final int blr_error_handler

      See Also:
        Constant Field Values

    - #### blr_cast

          static final int blr_cast

      See Also:
        Constant Field Values

    - #### blr_pid2

          static final int blr_pid2

      See Also:
        Constant Field Values

    - #### blr_procedure2

          static final int blr_procedure2

      See Also:
        Constant Field Values

    - #### blr_start_savepoint

          static final int blr_start_savepoint

      See Also:
        Constant Field Values

    - #### blr_end_savepoint

          static final int blr_end_savepoint

      See Also:
        Constant Field Values

    - #### blr_plan

          static final int blr_plan

      See Also:
        Constant Field Values

    - #### blr_merge

          static final int blr_merge

      See Also:
        Constant Field Values

    - #### blr_join

          static final int blr_join

      See Also:
        Constant Field Values

    - #### blr_sequential

          static final int blr_sequential

      See Also:
        Constant Field Values

    - #### blr_navigational

          static final int blr_navigational

      See Also:
        Constant Field Values

    - #### blr_indices

          static final int blr_indices

      See Also:
        Constant Field Values

    - #### blr_retrieve

          static final int blr_retrieve

      See Also:
        Constant Field Values

    - #### blr_relation2

          static final int blr_relation2

      See Also:
        Constant Field Values

    - #### blr_rid2

          static final int blr_rid2

      See Also:
        Constant Field Values

    - #### blr_set_generator

          static final int blr_set_generator

      See Also:
        Constant Field Values

    - #### blr_ansi_any

          static final int blr_ansi_any

      See Also:
        Constant Field Values

    - #### blr_exists

          static final int blr_exists

      See Also:
        Constant Field Values

    - #### blr_record_version

          static final int blr_record_version

      See Also:
        Constant Field Values

    - #### blr_stall

          static final int blr_stall

      See Also:
        Constant Field Values

    - #### blr_ansi_all

          static final int blr_ansi_all

      See Also:
        Constant Field Values

    - #### blr_extract

          static final int blr_extract

      See Also:
        Constant Field Values

    - #### blr_extract_year

          static final int blr_extract_year

      See Also:
        Constant Field Values

    - #### blr_extract_month

          static final int blr_extract_month

      See Also:
        Constant Field Values

    - #### blr_extract_day

          static final int blr_extract_day

      See Also:
        Constant Field Values

    - #### blr_extract_hour

          static final int blr_extract_hour

      See Also:
        Constant Field Values

    - #### blr_extract_minute

          static final int blr_extract_minute

      See Also:
        Constant Field Values

    - #### blr_extract_second

          static final int blr_extract_second

      See Also:
        Constant Field Values

    - #### blr_extract_weekday

          static final int blr_extract_weekday

      See Also:
        Constant Field Values

    - #### blr_extract_yearday

          static final int blr_extract_yearday

      See Also:
        Constant Field Values

    - #### blr_extract_millisecond

          static final int blr_extract_millisecond

      See Also:
        Constant Field Values

    - #### blr_extract_week

          static final int blr_extract_week

      See Also:
        Constant Field Values

    - #### blr_current_date

          static final int blr_current_date

      See Also:
        Constant Field Values

    - #### blr_current_timestamp

          static final int blr_current_timestamp

      See Also:
        Constant Field Values

    - #### blr_current_time

          static final int blr_current_time

      See Also:
        Constant Field Values

    - #### blr_post_arg

          static final int blr_post_arg

      See Also:
        Constant Field Values

    - #### blr_exec_into

          static final int blr_exec_into

      See Also:
        Constant Field Values

    - #### blr_user_savepoint

          static final int blr_user_savepoint

      See Also:
        Constant Field Values

    - #### blr_dcl_cursor

          static final int blr_dcl_cursor

      See Also:
        Constant Field Values

    - #### blr_cursor_stmt

          static final int blr_cursor_stmt

      See Also:
        Constant Field Values

    - #### blr_current_timestamp2

          static final int blr_current_timestamp2

      See Also:
        Constant Field Values

    - #### blr_current_time2

          static final int blr_current_time2

      See Also:
        Constant Field Values

    - #### blr_agg_list

          static final int blr_agg_list

      See Also:
        Constant Field Values

    - #### blr_agg_list_distinct

          static final int blr_agg_list_distinct

      See Also:
        Constant Field Values

    - #### blr_modify2

          static final int blr_modify2

      See Also:
        Constant Field Values

    - #### blr_current_role

          static final int blr_current_role

      See Also:
        Constant Field Values

    - #### blr_skip

          static final int blr_skip

      See Also:
        Constant Field Values

    - #### blr_exec_sql

          static final int blr_exec_sql

      See Also:
        Constant Field Values

    - #### blr_internal_info

          static final int blr_internal_info

      See Also:
        Constant Field Values

    - #### blr_nullsfirst

          static final int blr_nullsfirst

      See Also:
        Constant Field Values

    - #### blr_writelock

          static final int blr_writelock

      See Also:
        Constant Field Values

    - #### blr_nullslast

          static final int blr_nullslast

      See Also:
        Constant Field Values

    - #### blr_lowcase

          static final int blr_lowcase

      See Also:
        Constant Field Values

    - #### blr_strlen

          static final int blr_strlen

      See Also:
        Constant Field Values

    - #### blr_strlen_bit

          static final int blr_strlen_bit

      See Also:
        Constant Field Values

    - #### blr_strlen_char

          static final int blr_strlen_char

      See Also:
        Constant Field Values

    - #### blr_strlen_octet

          static final int blr_strlen_octet

      See Also:
        Constant Field Values

    - #### blr_trim

          static final int blr_trim

      See Also:
        Constant Field Values

    - #### blr_trim_both

          static final int blr_trim_both

      See Also:
        Constant Field Values

    - #### blr_trim_leading

          static final int blr_trim_leading

      See Also:
        Constant Field Values

    - #### blr_trim_trailing

          static final int blr_trim_trailing

      See Also:
        Constant Field Values

    - #### blr_trim_spaces

          static final int blr_trim_spaces

      See Also:
        Constant Field Values

    - #### blr_trim_characters

          static final int blr_trim_characters

      See Also:
        Constant Field Values

    - #### blr_savepoint_set

          static final int blr_savepoint_set

      See Also:
        Constant Field Values

    - #### blr_savepoint_release

          static final int blr_savepoint_release

      See Also:
        Constant Field Values

    - #### blr_savepoint_undo

          static final int blr_savepoint_undo

      See Also:
        Constant Field Values

    - #### blr_savepoint_release_single

          static final int blr_savepoint_release_single

      See Also:
        Constant Field Values

    - #### blr_cursor_open

          static final int blr_cursor_open

      See Also:
        Constant Field Values

    - #### blr_cursor_close

          static final int blr_cursor_close

      See Also:
        Constant Field Values

    - #### blr_cursor_fetch

          static final int blr_cursor_fetch

      See Also:
        Constant Field Values

    - #### blr_cursor_fetch_scroll

          static final int blr_cursor_fetch_scroll

      See Also:
        Constant Field Values

    - #### blr_scroll_forward

          static final int blr_scroll_forward

      See Also:
        Constant Field Values

    - #### blr_scroll_backward

          static final int blr_scroll_backward

      See Also:
        Constant Field Values

    - #### blr_scroll_bof

          static final int blr_scroll_bof

      See Also:
        Constant Field Values

    - #### blr_scroll_eof

          static final int blr_scroll_eof

      See Also:
        Constant Field Values

    - #### blr_scroll_absolute

          static final int blr_scroll_absolute

      See Also:
        Constant Field Values

    - #### blr_scroll_relative

          static final int blr_scroll_relative

      See Also:
        Constant Field Values

    - #### blr_init_variable

          static final int blr_init_variable

      See Also:
        Constant Field Values

    - #### blr_recurse

          static final int blr_recurse

      See Also:
        Constant Field Values

    - #### blr_sys_function

          static final int blr_sys_function

      See Also:
        Constant Field Values

    - #### blr_auto_trans

          static final int blr_auto_trans

      See Also:
        Constant Field Values

    - #### blr_similar

          static final int blr_similar

      See Also:
        Constant Field Values

    - #### blr_exec_stmt

          static final int blr_exec_stmt

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_inputs

          static final int blr_exec_stmt_inputs

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_outputs

          static final int blr_exec_stmt_outputs

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_sql

          static final int blr_exec_stmt_sql

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_proc_block

          static final int blr_exec_stmt_proc_block

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_data_src

          static final int blr_exec_stmt_data_src

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_user

          static final int blr_exec_stmt_user

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_pwd

          static final int blr_exec_stmt_pwd

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_tran

          static final int blr_exec_stmt_tran

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_tran_clone

          static final int blr_exec_stmt_tran_clone

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_privs

          static final int blr_exec_stmt_privs

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_in_params

          static final int blr_exec_stmt_in_params

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_in_params2

          static final int blr_exec_stmt_in_params2

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_out_params

          static final int blr_exec_stmt_out_params

      See Also:
        Constant Field Values

    - #### blr_exec_stmt_role

          static final int blr_exec_stmt_role

      See Also:
        Constant Field Values

    - #### blr_stmt_expr

          static final int blr_stmt_expr

      See Also:
        Constant Field Values

    - #### blr_derived_expr

          static final int blr_derived_expr

      See Also:
        Constant Field Values

    - #### blr_procedure3

          static final int blr_procedure3

      See Also:
        Constant Field Values

    - #### blr_exec_proc2

          static final int blr_exec_proc2

      See Also:
        Constant Field Values

    - #### blr_function2

          static final int blr_function2

      See Also:
        Constant Field Values

    - #### blr_window

          static final int blr_window

      See Also:
        Constant Field Values

    - #### blr_partition_by

          static final int blr_partition_by

      See Also:
        Constant Field Values

    - #### blr_continue_loop

          static final int blr_continue_loop

      See Also:
        Constant Field Values

    - #### blr_procedure4

          static final int blr_procedure4

      See Also:
        Constant Field Values

    - #### blr_agg_function

          static final int blr_agg_function

      See Also:
        Constant Field Values

    - #### blr_substring_similar

          static final int blr_substring_similar

      See Also:
        Constant Field Values

    - #### blr_bool_as_value

          static final int blr_bool_as_value

      See Also:
        Constant Field Values

    - #### blr_coalesce

          static final int blr_coalesce

      See Also:
        Constant Field Values

    - #### blr_decode

          static final int blr_decode

      See Also:
        Constant Field Values

    - #### blr_exec_subproc

          static final int blr_exec_subproc

      See Also:
        Constant Field Values

    - #### blr_subproc_decl

          static final int blr_subproc_decl

      See Also:
        Constant Field Values

    - #### blr_subproc

          static final int blr_subproc

      See Also:
        Constant Field Values

    - #### blr_subfunc_decl

          static final int blr_subfunc_decl

      See Also:
        Constant Field Values

    - #### blr_subfunc

          static final int blr_subfunc

      See Also:
        Constant Field Values

    - #### blr_record_version2

          static final int blr_record_version2

      See Also:
        Constant Field Values

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.